flext_base::AttrDataCont Class Reference

`#include <flclass.h>`

Inheritance diagram for flext_base::AttrDataCont:

## Public Member Functions

virtual | ~AttrDataCont ()
virtual void | clear ()
Public Member Functions inherited from TablePtrMap< const t_symbol *, AttrData *, 8 >
| TablePtrMap ()
virtual | ~TablePtrMap ()
int | size () const
AttrData * | insert (const t_symbol * k, AttrData * t)
AttrData * | find (const t_symbol * k) const
AttrData * | remove (const t_symbol * k)

## Additional Inherited Members

Protected Member Functions inherited from TablePtrMap< const t_symbol *, AttrData *, 8 >
| TablePtrMap (TableAnyMap *p)
virtual TableAnyMap * | _newmap (TableAnyMap *_parent)
virtual void | _delmap (TableAnyMap *map)
Protected Attributes inherited from TablePtrMap< const t_symbol *, AttrData *, 8 >
int | count
Data | slots [N]

## Constructor & Destructor Documentation

## ~AttrDataCont()

flext_base::AttrDataCont::~AttrDataCont | ( |  | ) |

virtual

## Member Function Documentation

## clear()

void flext_base::AttrDataCont::clear | ( |  | ) |

virtual

Reimplemented from TablePtrMap< const t_symbol *, AttrData *, 8 >.

The documentation for this class was generated from the following files:

- flclass.h
- flattr.cpp